Domov      Nastavenia 
RSS English Slovensky

Zahraničné zdroje
Nahlásené incidenty
1.1.2020 - 31.12.2020
 

Graf

Google opravil vážne zraniteľnosť internetového prehliadača Google Chrome a prehliadačov založených na jadre Chromium

15.04.2021
Spoločnosť Google opravila kritické zraniteľnosti, ktoré sú údajne aktívne zneužívané. Zraniteľnosti boli objavené počas hackerskej súťaže Pwn20wn 2021. Zatiaľ čo sa Google snažil chybu urýchlene opraviť, výskumník Rajvardhan Agarwal zverejnil mechanizmus útoku. Po opravení zraniteľnosti v najnovšej verzii Google Chrome Rajvardhan Agarwal upozornil, že existuje ďalšia už opravená zraniteľnosť v jadre Chromium, ktorá však doposiaľ nebola zahrnutá v aktualizácii prehliadača Google Chrome.

 

Dôsledky

  • Kompromitácia systému
  • Narušenie dôvernosti a integrity dát

Opis činnosti

CVE-2021-21220 (CVSS 6,7)

Jedna z dvoch zraniteľností existuje z dôvodu nedostatočného overenia vstupu do vykresľovacieho nástroja Java V8. Predviedli ju Bruno Keith a Niklas Baumstark na súťaži Pwn20own 2021. Zraniteľnosť postihuje všetky prehliadače, ktoré sú založené na jadre Chromium. Úspešné zneužitie by potencionálny vzdialený neoverený útočník mohol docieliť vytvorením podvodnej stránky a navedením obete, aby ju otvorila v zraniteľnom prehliadači. Tým by vyvolal spustiť celočíselné pretečenie. Celočíselné pretečenie by útočníkovi následne umožnilo vzdialene vykonať ľubovoľný kód. Zraniteľnosť však potencionálny útočník musí kombinovať s inými zraniteľnosťami, keďže Google Chrome pri každej relácii vytvára bezpečné prostredie (sandbox) a predmetná zraniteľnosť nedokáže z tohto prostredia ovplyvňovať ďalšie procesy v systéme.

CVE-2021-21206 (CVSS 7,9)

Vážnejšia z dvojice opravených zraniteľností sa nachádza v súčasti Blink prehliadača Google Chrome a prehliadačov založených na jadre Chromium. Zraniteľnosť súvisí s použitím odalokovaného miesta v pamäti. Potencionálny vzdialený, neoverený útočník by zraniteľnosť mohol zneužiť nasmerovaním obete na účelovo vytvorenú internetovú stránku, s jej pomocou zneužiť chybný ukazovateľ už neexistujúcej relácie v pamäti a vzdialene vykonať kód v systéme, kde sa zraniteľný prehliadač nachádza.

Zraniteľné systémy

  • Google Chrome verzie: 87.0.4280.66, 87.0.4280.141, 88.0.4324.96, 88.0.4324.146, 88.0.4324.150, 88.0.4324.182, 89.0.4389.72, 89.0.4389.90, 89.0.4389.114
  • Microsoft Edge (jadro Chromium): 79.0.309.71, 83.0.478.37, 84.0.522.40, 88.0.705.50, 88.0.705.62, 88.0.705.74, 89.0.774.45, 89.0.774.54, 89.0.774.68, 89.0.774.76

Závažnosť zraniteľnosti
Vysoká

Možné škody
Prienik do systému
Únik citlivých infromácií

Odporúčania

  • Aktualizovať na najnovšiu verziu internetového prehliadača
  • Vždy udržiavať softvér aktuálny

Odkazy
https://www.cybersecurity-help.cz/vdb/SB2021041301
https://www.cybersecurity-help.cz/vdb/SB2021041503
https://www.cisecurity.org/advisory/multiple-vulnerabilities-in-google-chrome-could-allow-for-arbitrary-code-execution_2021-047/
https://thehackernews.com/2021/04/2-new-chrome-0-days-under-attack-update.html



<< zoznam oznámení